Skip to main content
GET
/
pipeline-activity-types
/
{id}
Get a pipeline activity type
curl --request GET \
  --url https://www.ruddr.io/api/workspace/pipeline-activity-types/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "b7d4e2a6-3c18-4f95-80b1-a5f9c6d03e72",
  "name": "Stage Change",
  "description": "A change in the stage of the opportunity.",
  "readOnly": true,
  "typeId": "stage_change",
  "createdAt": "2025-06-21T13:47:29.153Z",
  "isActive": true
}
A classification for activities that occur during the sales process.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The pipeline activity type uuid.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the pipeline activity type.

description
string | null

A description of the pipeline activity type.

readOnly
boolean

Whether the pipeline activity type is read-only.

typeId
enum<string>

The type of pipeline activity.

Available options:
amount_change,
call,
client_assignment,
edit,
email,
expected_close_date_change,
file,
meeting,
next_steps_change,
note,
open_date_change,
other,
owner_change,
probability_change,
project_assignment,
revenue_change,
stage_change
createdAt
string<date-time>

The timestamp when the object was created.

isActive
boolean

Whether the pipeline activity type is active.